import java.util.*;

// DRM checker

public class JohnChecker
{
	public static void printError(int line, String msg)
	{
		System.out.println("ERROR Line " + line + ": " + msg);
		System.exit(-1);
	}

    public static void checkIntBounds(int x, int min, int max, String name, int nLines)
    {
        if (x < min || x > max)
            printError(nLines, "invalid " + name + " value: " + x);
    }

	public static void main(String [] args)
	{
		Scanner in = new Scanner(System.in);
		String mesg, line;
		int nLines=0;

        line = in.nextLine();
        nLines++;
        StringTokenizer st = new StringTokenizer(line);
        if (st.countTokens() != 1)
            printError(nLines, "number of values on line incorrect");
		mesg = st.nextToken();
		if (mesg.length()%2 != 0)
            printError(nLines, "length of string not even");
		for(int i=0; i<mesg.length(); i++) {
            if (!Character.isUpperCase(mesg.charAt(i)))
                printError(nLines, "illegal character " + mesg.charAt(i));
		}
		if (in.hasNextLine())
			printError(nLines, "incorrect number of lines");
		System.exit(42);
	}
}
